[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TJPEGImage.InitializeReader

Initializes the FCL-compatible image reader for the image type.

## Declaration

Source position: graphics.pp line 1807

`protected procedure TJPEGImage.InitializeReader(`
`AImage: TLazIntfImage;`
`AReader: TFPCustomImageReader`
`); override;`

## Arguments

`AImage` |  | Image with values used to configure the reader class.
`AReader` |  | FCL-compatible image reader class updated in the method.

## Description

InitializeReader is an overridden method used transfer property values specific to the JPEG image in AImage to the TFPCustomImageReader class instance in AReader. The following property values are stored to the corresponding properties in AReader:

- MinHeight
- MinWidth
- Performance
- Scale
- Smoothing